/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.transportcompany.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.transportcompany.entity.BizTransportCompany;
import vip.xiaonuo.biz.modular.transportcompany.param.BizTransportCompanyAddParam;
import vip.xiaonuo.biz.modular.transportcompany.param.BizTransportCompanyEditParam;
import vip.xiaonuo.biz.modular.transportcompany.param.BizTransportCompanyIdParam;
import vip.xiaonuo.biz.modular.transportcompany.param.BizTransportCompanyPageParam;

import java.util.List;

/**
 * 运输单位Service接口
 *
 * @author 徐超
 * @date  2025/01/02 17:46
 **/
public interface BizTransportCompanyService extends IService<BizTransportCompany> {

    /**
     * 获取运输单位分页
     *
     * @author 徐超
     * @date  2025/01/02 17:46
     */
    Page<BizTransportCompany> page(BizTransportCompanyPageParam bizTransportCompanyPageParam);

    /**
     * 添加运输单位
     *
     * @author 徐超
     * @date  2025/01/02 17:46
     */
    void add(BizTransportCompanyAddParam bizTransportCompanyAddParam);

    /**
     * 编辑运输单位
     *
     * @author 徐超
     * @date  2025/01/02 17:46
     */
    void edit(BizTransportCompanyEditParam bizTransportCompanyEditParam);

    /**
     * 删除运输单位
     *
     * @author 徐超
     * @date  2025/01/02 17:46
     */
    void delete(List<BizTransportCompanyIdParam> bizTransportCompanyIdParamList);

    /**
     * 获取运输单位详情
     *
     * @author 徐超
     * @date  2025/01/02 17:46
     */
    BizTransportCompany detail(BizTransportCompanyIdParam bizTransportCompanyIdParam);

    /**
     * 获取运输单位详情
     *
     * @author 徐超
     * @date  2025/01/02 17:46
     **/
    BizTransportCompany queryEntity(String id);
}
